package com.fs.qw.mapper;


import com.fs.qw.domain.QwGroupMsgItem;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 客户群发消息的附件记录Mapper接口
 *
 * @author fs
 * @date 2024-06-28
 */
@Repository
public interface QwGroupMsgItemMapper
{
    /**
     * 查询客户群发消息的附件记录
     *
     * @param id 客户群发消息的附件记录主键
     * @return 客户群发消息的附件记录
     */
    public QwGroupMsgItem selectQwGroupMsgItemById(Long id);

    /**
     * 查询客户群发消息的附件记录列表
     *
     * @param qwGroupMsgItem 客户群发消息的附件记录
     * @return 客户群发消息的附件记录集合
     */
    public List<QwGroupMsgItem> selectQwGroupMsgItemList(QwGroupMsgItem qwGroupMsgItem);

    /**
     * 新增客户群发消息的附件记录
     *
     * @param qwGroupMsgItem 客户群发消息的附件记录
     * @return 结果
     */
    public int insertQwGroupMsgItem(QwGroupMsgItem qwGroupMsgItem);

    /**
     * 修改客户群发消息的附件记录
     *
     * @param qwGroupMsgItem 客户群发消息的附件记录
     * @return 结果
     */
    public int updateQwGroupMsgItem(QwGroupMsgItem qwGroupMsgItem);

    /**
     * 删除客户群发消息的附件记录
     *
     * @param id 客户群发消息的附件记录主键
     * @return 结果
     */
    public int deleteQwGroupMsgItemById(Long id);

    /**
     * 批量删除客户群发消息的附件记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwGroupMsgItemByIds(Long[] ids);
    public int deleteQwGroupMsgItemByGroupMsgId(Long[] ids);


}
